package com.tuoheng.admin.enums.code.report;

/**
 *  导出巡检报告返回码
 *      模块代码：27（报告管理）
 *      接口代码：04 （导出巡检）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-14
 */
public enum ExportInspectionReportReportCodeEnum {

    EXPORT_IS_FAILED(1270400, "导出巡检报告失败"),
    REPORT_ID_IS_NULL(1270401, "报告id为空"),
    REPORT_IS_NOT_EXIST(1270402, "报告不存在");

    /**
     * 编号
     */
    private int code;

    /**
     * 类型名称
     */
    private String msg;

    ExportInspectionReportReportCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


}
